org.apache.hadoop.yarn.util.constraint

## Class PlacementConstraintParser.MultipleConstraintsTokenizer

- java.lang.Object
- - org.apache.hadoop.yarn.util.constraint.PlacementConstraintParser.MultipleConstraintsTokenizer

- All Implemented Interfaces:
    Enumeration<String>, PlacementConstraintParser.ConstraintTokenizer
  Enclosing class:
    PlacementConstraintParser

      public static class PlacementConstraintParser.MultipleConstraintsTokenizer
      extends Object
      implements PlacementConstraintParser.ConstraintTokenizer

  Tokenizer used to handle a placement spec composed by multiple constraint expressions. Each of them is delimited with the given delimiter, e.g ':'.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipleConstraintsTokenizer(String expression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasMoreElements()`
    `String` | `nextElement()`
    `void` | `validate()` Validate the schema before actual parsing the expression.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipleConstraintsTokenizer

          public MultipleConstraintsTokenizer(String expression)

  - ### Method Detail

    - #### validate

          public void validate()
                        throws PlacementConstraintParseException

      Description copied from interface: `PlacementConstraintParser.ConstraintTokenizer`
      Validate the schema before actual parsing the expression.
      Specified by:
        `validate` in interface `PlacementConstraintParser.ConstraintTokenizer`
      Throws:
        `PlacementConstraintParseException`

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `Enumeration<String>`

    - #### nextElement

          public String nextElement()

      Specified by:
        `nextElement` in interface `Enumeration<String>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.